## python-opt-einsum 3.3.0+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = EEX_scratch
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-opt-einsum (3.3.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 16 May 2024 01:20:00 +0000

python-opt-einsum (3.3.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1069863)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 25 Apr 2024 18:30:00 +0000

=== debian/control ===
Source: python-opt-einsum
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pulak Bhushan <pulakbhushan@gmail.com>,
           Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/dgasmith/opt_einsum
Vcs-Git: https://salsa.debian.org/python-team/packages/python-opt-einsum.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opt-einsum
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-sequence-python3,
               python3-all,
               python3-numpy,
               python3-versioneer,
               python3-pytest <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               node-mathjax-full <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-opt-einsum
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Optimized Einsum is a tensor contraction order optimizer
 Optimized einsum can significantly reduce the overall execution time
 of einsum-like expressions by optimizing the expression's contraction
 order and dispatching many operations to canonical BLAS, cuBLAS, or
 other specialized routines.

Package: python-opt-einsum-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         node-mathjax-full
Multi-Arch: foreign
Description: Documentation for python-opt-einsum
 Optimized einsum can significantly reduce the overall execution time
 of einsum-like expressions by optimizing the expression's contraction
 order and dispatching many operations to canonical BLAS, cuBLAS, or
 other specialized routines.
 .
 This package contains documentation for opt-einsum.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=opt-einsum
export PYBUILD_TEST_ARGS = -k 'not test_parallel_random_greedy and not test_multithreaded_sharing'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs/source build/sphinx/html
	# Replace the CDN link with a local file path
	sed -i 's@https://cdn\.jsdelivr\.net/npm/mathjax[@]3/es5/tex-mml-chtml\.js@file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js@' build/sphinx/html/index.html
	dh_installdocs -ppython-opt-einsum-doc --doc-main-package=python-opt-einsum-doc build/sphinx/html
	dh_installdocs

override_dh_clean:
	dh_clean
	rm -rf docs/source/autosummary

## python-opt-einsum 3.4.0

=== debian/changelog ===
python-opt-einsum (3.4.0-2) unstable; urgency=medium

  * Team upload.
  * Fix documentation build with mkdocstrings 0.29 (closes: #1100276).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Mar 2025 16:23:23 +0000

python-opt-einsum (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0.
  * d/copyright: remove Files-Excluded + update debian/* copyright.
  * d/control: update B-Depends for new upstream version + routine updates.
  * Replace sphinx with mkdocs in d/control and d/rules.
  * d/rules: enable all tests + remove dh_clean override.
  * Revise 001-fix-for-docs.patch for mkdocs to remove external URLs.
  * Rename d/python3-opt-einsum.doc to d/python3-opt-einsum.docs.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 29 Sep 2024 17:20:39 +0000

=== debian/control ===
Source: python-opt-einsum
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/dgasmith/opt_einsum
Vcs-Git: https://salsa.debian.org/python-team/packages/python-opt-einsum.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opt-einsum
Section: python
Priority: optional
Build-Depends:
 black <!nodoc>,
 debhelper-compat (= 13),
 mkdocs <!nodoc>,
 mkdocs-material <!nodoc>,
 mkdocstrings <!nodoc>,
 mkdocstrings-python-handlers <!nodoc>,
 node-mathjax-full <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatch-fancy-pypi-readme,
 python3-hatch-vcs,
 python3-hatchling,
 python3-markdown <!nodoc>,
 python3-markdown-include <!nodoc>,
 python3-pygments <!nodoc>,
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-opt-einsum
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Optimized Einsum is a tensor contraction order optimizer
 Optimized einsum can significantly reduce the overall execution time
 of einsum-like expressions by optimizing the expression's contraction
 order and dispatching many operations to canonical BLAS, cuBLAS, or
 other specialized routines.

Package: python-opt-einsum-doc
Architecture: all
Section: doc
Depends:
 node-mathjax-full,
 ${misc:Depends},
Multi-Arch: foreign
Description: Documentation for python-opt-einsum
 Optimized einsum can significantly reduce the overall execution time
 of einsum-like expressions by optimizing the expression's contraction
 order and dispatching many operations to canonical BLAS, cuBLAS, or
 other specialized routines.
 .
 This package contains documentation for opt-einsum.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=opt-einsum

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	PYTHONPATH=. https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' mkdocs build -d build/html

	#Remove privacy-breach URLs that cause warnings
	find -type f -name "*.html" -exec sed -i 's|https://fonts.gstatic.com|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://fonts.googleapis.com|(URL removed)|g' {} +

	#Remove duplicate files
	rm -f build/html/sitemap.xml.gz

	dh_installdocs -ppython-opt-einsum-doc --doc-main-package=python-opt-einsum-doc build/html
	dh_installdocs

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/dgasmith/opt_einsum/tags .*/v(\d\S+)\.tar\.gz
